# Script to install privoxy on Solaris systems.
# Created by Schelstraete BArt
# linux@schelstraete.org
#
##############################################################################
root=`id | grep root`
if [ ! "$root" ]
		then

			echo "* ERROR! You must be root to run this script!"
			exit 1
		else
if [ -f "privoxy" ]
		then
			cp -f privoxy /usr/sbin
			chown root /usr/sbin/privoxy
			chmod 700 /usr/sbin/privoxy
		else
			echo "* ERROR! Executable does not  exist!"
fi

if [ -d "/usr/share/man/man1" ]
		then
			cp -f privoxy.1 /usr/share/man/man1
			chown root /usr/share/man/man1/privoxy.1
			chmod 555 /usr/share/man/man1/privoxy.1

		else

			mkdir -p /usr/share/man/man1
			cp -f privoxy.1 /usr/share/man/man1
                        chown root /usr/share/man/man1/privoxy.1
                        chmod 555 /usr/share/man/man1/privoxy.1
		fi

if [ -d "/etc/privoxy" ]
		then

			if [ -f /etc/privoxy/config ]
				then
					cp -f config /etc/privoxy/config.template
				else
					cp -f config /etc/privoxy
					cp -f Solaris.README /etc/privoxy
			fi
	

		else
			mkdir -p /etc/privoxy
			cp -f config /etc/privoxy
			cp -f Solaris.README /etc/privoxy
		fi

if [ ! -d "/etc/privoxy/templates" ]
                then
					mkdir -p /etc/privoxy/templates
					cp templates/* /etc/privoxy/templates
					chmod -R 700 /etc/privoxy/templates
					chown -R root /etc/privoxy/templates

			
                fi
echo "-> privoxy installed!"
echo "   *> Config directory: /etc/privoxy/config"
echo "   *> privoxy binary  : /usr/sbin/privoxy"
echo ""
fi	

